%define pypi_name pickleshare

Name:           python-%{pypi_name}
Version:        0.7.5
Release:        %mkrel 7
Group:          Development/Python
Summary:        Tiny 'shelve'-like database with concurrency support

License:        MIT
URL:            https://github.com/pickleshare/pickleshare
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
PickleShare - a small 'shelve' like datastore with concurrency support

Like shelve, a PickleShareDB object acts like a normal dictionary. Unlike shelve,
many processes can access the database simultaneously. Changing a value in
database is immediately visible to other processes accessing the same database.
Concurrency is possible because the values are stored in separate files.

%package -n     python3-%{pypi_name}
Group:          Development/Python
Summary:        Tiny 'shelve'-like database with concurrency support
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
PickleShare - a small 'shelve' like datastore with concurrency support

Like shelve, a PickleShareDB object acts like a normal dictionary. Unlike shelve,
many processes can access the database simultaneously. Changing a value in
database is immediately visible to other processes accessing the same database.
Concurrency is possible because the values are stored in separate files.


%prep
%setup -q -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pickleshare


%files -n python3-%{pypi_name} -f %{pyproject_files}



%changelog
* Sat Mar 01 2025 wally <wally> 0.7.5-7.mga10
+ Revision: 2155535
- rebuild for python3.13

* Wed Dec 13 2023 papoteur <papoteur> 0.7.5-6.mga10
+ Revision: 2017789
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.7.5-5.mga9
+ Revision: 1822476
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 wally <wally> 0.7.5-4.mga9
+ Revision: 1773842
- rebuild for pyhton3.10

* Wed Mar 17 2021 wally <wally> 0.7.5-3.mga9
+ Revision: 1704032
- rebuild for python 3.9

* Thu Feb 20 2020 umeabot <umeabot> 0.7.5-2.mga8
+ Revision: 1546106
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 0.7.5-1.mga8
+ Revision: 1485934
- new version: 0.7.5

* Fri Sep 13 2019 tv <tv> 0.7.4-5.mga8
+ Revision: 1440467
- explicitely BR python3 >= 3.8 :-(

* Fri Sep 13 2019 tv <tv> 0.7.4-4.mga8
+ Revision: 1440293
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 tv <tv> 0.7.4-3.mga7
+ Revision: 1350552
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.7.4-2.mga7
+ Revision: 1289669
- Mageia 7 Mass Rebuild

* Wed Apr 25 2018 kekepower <kekepower> 0.7.4-1.mga7
+ Revision: 1222333
- Update to version 0.7.4
- Rename python-pickleshare to python2-pickleshare
- Use python_provide
- Update BRs

* Fri Aug 04 2017 tv <tv> 0.7.2-3.mga7
+ Revision: 1134558
- rebuild for new python

* Sun Apr 17 2016 philippem <philippem> 0.7.2-2.mga6
+ Revision: 1003192
- remove pythonegg(3)(pathlib2) from autorequires

* Fri Apr 15 2016 philippem <philippem> 0.7.2-1.mga6
+ Revision: 1002848
- update to 0.7.2
+ joequant <joequant>
- imported package python-pickleshare

